Package org.eclipse.emf.compare.impl

# Class ComparisonImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.compare.impl.ComparisonImpl

All Implemented Interfaces:
  `Notifier`, `Comparison`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`

Direct Known Subclasses:
  `ComparisonSpec`

public class ComparisonImpl extends MinimalEObjectImpl.Container implements Comparison
An implementation of the model object 'Comparison'.

The following features are implemented:

- `Matched Resources`
- `Matches`
- `Conflicts`
- `Equivalences`
- `Three Way`
- `Diagnostic`

Generated:

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected EList<Conflict>`
`conflicts`
The cached value of the '`Conflicts`' containment reference list.
`static final String`
`copyright`
`protected Diagnostic`
`diagnostic`
The cached value of the '`Diagnostic`' attribute.
`protected static final Diagnostic`
`DIAGNOSTIC_EDEFAULT`
The default value of the '`Diagnostic`' attribute.
`protected EList<Equivalence>`
`equivalences`
The cached value of the '`Equivalences`' containment reference list.
`protected EList<MatchResource>`
`matchedResources`
The cached value of the '`Matched Resources`' containment reference list.
`protected EList<Match>`
`matches`
The cached value of the '`Matches`' containment reference list.
`protected static final boolean`
`THREE_WAY_EDEFAULT`
The default value of the '`Three Way`' attribute.
`protected boolean`
`threeWay`
The cached value of the '`Three Way`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ComparisonImpl()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain`
`eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain`
`eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`EList<Conflict>`
`getConflicts()`
`Diagnostic`
`getDiagnostic()`
`EList<Diff>`
`getDifferences()`
`EList<Diff>`
`getDifferences(EObject element)`
`IEqualityHelper`
`getEqualityHelper()`
`EList<Equivalence>`
`getEquivalences()`
`Match`
`getMatch(EObject element)`
`EList<MatchResource>`
`getMatchedResources()`
`EList<Match>`
`getMatches()`
`boolean`
`isThreeWay()`
`void`
`setDiagnostic(Diagnostic newDiagnostic)`
`void`
`setThreeWay(boolean newThreeWay)`
`String`
`toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### copyright

public static final String copyright

See Also:
  - Constant Field Values
Generated:

### matchedResources

protected EList<MatchResource> matchedResources
The cached value of the '`Matched Resources`' containment reference list.

See Also:
  - `getMatchedResources()`
Generated:

### matches

protected EList<Match> matches
The cached value of the '`Matches`' containment reference list.

See Also:
  - `getMatches()`
Generated:

### conflicts

protected EList<Conflict> conflicts
The cached value of the '`Conflicts`' containment reference list.

See Also:
  - `getConflicts()`
Generated:

### equivalences

protected EList<Equivalence> equivalences
The cached value of the '`Equivalences`' containment reference list.

See Also:
  - `getEquivalences()`
Generated:

### THREE_WAY_EDEFAULT

protected static final boolean THREE_WAY_EDEFAULT
The default value of the '`Three Way`' attribute.

See Also:
  - `isThreeWay()`
  - Constant Field Values
Generated:

### threeWay

protected boolean threeWay
The cached value of the '`Three Way`' attribute.

See Also:
  - `isThreeWay()`
Generated:

### DIAGNOSTIC_EDEFAULT

protected static final Diagnostic DIAGNOSTIC_EDEFAULT
The default value of the '`Diagnostic`' attribute.

See Also:
  - `getDiagnostic()`
Generated:

### diagnostic

protected Diagnostic diagnostic
The cached value of the '`Diagnostic`' attribute.

See Also:
  - `getDiagnostic()`
Generated:

## Constructor Details

### ComparisonImpl

protected ComparisonImpl()

Generated:

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `BasicEObjectImpl`
Generated:

### getMatchedResources

public EList<MatchResource> getMatchedResources()

Specified by:
  `getMatchedResources` in interface `Comparison`
Returns:
  the value of the 'Matched Resources' containment reference list.
See Also:
  - `ComparePackage.getComparison_MatchedResources()`
Generated:

### getMatches

public EList<Match> getMatches()

Specified by:
  `getMatches` in interface `Comparison`
Returns:
  the value of the 'Matches' containment reference list.
See Also:
  - `ComparePackage.getComparison_Matches()`
Generated:

### getConflicts

public EList<Conflict> getConflicts()

Specified by:
  `getConflicts` in interface `Comparison`
Returns:
  the value of the 'Conflicts' containment reference list.
See Also:
  - `ComparePackage.getComparison_Conflicts()`
Generated:

### getEquivalences

public EList<Equivalence> getEquivalences()

Specified by:
  `getEquivalences` in interface `Comparison`
Returns:
  the value of the 'Equivalences' containment reference list.
See Also:
  - `ComparePackage.getComparison_Equivalences()`
Generated:

### getDifferences

public EList<Diff> getDifferences()

Specified by:
  `getDifferences` in interface `Comparison`
Generated:

### getDifferences

public EList<Diff> getDifferences(EObject element)

Specified by:
  `getDifferences` in interface `Comparison`
Parameters:
  `element` - The EObject for which we seek all related differences.
Generated:

### getMatch

public Match getMatch(EObject element)

Specified by:
  `getMatch` in interface `Comparison`
Parameters:
  `element` - The EObject for which we seek the match.
Generated:

### getEqualityHelper

public IEqualityHelper getEqualityHelper()

Specified by:
  `getEqualityHelper` in interface `Comparison`
Generated:

### eInverseAdd

public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `BasicEObjectImpl`
Generated:

### isThreeWay

public boolean isThreeWay()

Specified by:
  `isThreeWay` in interface `Comparison`
Returns:
  the value of the 'Three Way' attribute.
See Also:
  - `Comparison.setThreeWay(boolean)`
  - `ComparePackage.getComparison_ThreeWay()`
Generated:

### setThreeWay

public void setThreeWay(boolean newThreeWay)

Specified by:
  `setThreeWay` in interface `Comparison`
Parameters:
  `newThreeWay` - the new value of the 'Three Way' attribute.
See Also:
  - `Comparison.isThreeWay()`
Generated:

### getDiagnostic

public Diagnostic getDiagnostic()

Specified by:
  `getDiagnostic` in interface `Comparison`
Returns:
  the value of the 'Diagnostic' attribute.
See Also:
  - `Comparison.setDiagnostic(Diagnostic)`
  - `ComparePackage.getComparison_Diagnostic()`
Generated:

### setDiagnostic

public void setDiagnostic(Diagnostic newDiagnostic)

Specified by:
  `setDiagnostic` in interface `Comparison`
Parameters:
  `newDiagnostic` - the new value of the 'Diagnostic' attribute.
See Also:
  - `Comparison.getDiagnostic()`
Generated:

### eInverseRemove

public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `BasicEObjectImpl`
Generated:

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `BasicEObjectImpl`
Generated:

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `BasicEObjectImpl`
Generated:

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `BasicEObjectImpl`
Generated:

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `BasicEObjectImpl`
Generated:

### toString

public String toString()

Overrides:
  `toString` in class `BasicEObjectImpl`
Generated: